# pm21-dragon

## Introduction

This is the course material for PM-21: "Python für die Biowissenschaften",
Winter Semester 2024-2025 (year of the Dragon), Faculty of Biology, University
of Freiburg. The instructors are Prof. Dr. Andrew Straw and Dr. Michael Harrap.

ILIAS: https://ilias.uni-freiburg.de/goto.php?target=crs_3633612&client_id=unifreiburg

## Forge login

You should have received an email from the sender
`strawlab-notify@biologie.uni-freiburg.de` with the email address known by
HisINOne for you.

Use this to login to the server at https://strawlab-rp2.zoologie.uni-freiburg.de/user/login .

Username: your last name in lower case and with umlauts spelled in ASCII (Müller -> mueller ).
Password: your initial password will be your matriculation number followed by x (e.g. 1234567x). You will have to change your password.

## Installation of Anaconda

Download the Anaconda Distribution from
[here](https://www.anaconda.com/download).

We will demonstrate use of the Anaconda Distribution in class.

## The Python Tutor - extremely highly recommended

http://pythontutor.com/

## Dates and assignments

| Exercise    | Due date (at 23:59) |
| ----------- | ------------------- |
| exercise-01 | 2024-10-16          |
| exercise-02 | 2024-10-23          |
| exercise-03 | 2024-10-30          |
| exercise-04 | 2024-11-06          |
| exercise-05 | 2024-11-13          |
| exercise-06 | 2024-11-20          |
| exercise-07 | 2024-11-27          |
| exercise-08 | 2024-12-04          |
| exercise-09 | 2024-12-11          |
| exercise-10 | 2024-12-18          |
| exercise-11 | 2025-01-15          |

## Submitting assignments

In the initial part of the class, upload your assignment using the web browser
to your own fork of the repository. In other words, if you are named Erika
Mustermann, your fork will be at
https://strawlab-rp2.zoologie.uni-freiburg.de/mustermann/pm21-dragon . (The name
of the repository here is "mustermann/pm21-dragon" and would have been forked
from the original repository "straw/pm21-dragon".) Do not rename (or allow your
computer to rename) the assignment file. If the name has changed, please change
it back to the original name so that the original file is replaced.

Later in the class we will discuss [git](https://git-scm.com) version control
and will go more into depth about what all this is about.

## Getting assignments

The assignment files will be in the `exercises/release/exercise-NUMBER` folder in your repository. For Erika
Mustermann, you could view the files for `exercise-03` at:

https://strawlab-rp2.zoologie.uni-freiburg.de/mustermann/pm21-dragon/src/branch/main/exercises/release/exercise-03

## Correct answers

After the due date of the assignment, a correct version will be posted at in the
directory `exercises/source/exercise-NUMBER`.
