# Step 1 - Ensure you can login to our "forge" server

See the information in the `README.md` in the top directory regarding login
information.

Use this information to login to our forge server.

We will later discuss what this forge server is and what it is all about. For
now, just use it. :)

# Step 2 - Fork the pm21-dragon repository

Go to https://strawlab-rp2.zoologie.uni-freiburg.de/straw/pm21-dragon and click
the "Fork" button in the upper right corner. \*\*Note, you must be logged in so
that the "Fork" function is enabled.

What "forking" does is creates a copy of the original repository
(`straw/pm21-dragon`) in your account (`my-name/pm21-dragon`). You are going to
save your copy of your work in your fork of the repository.

# Step 3 - Blockly bird game

Play the games at https://blockly.games/.

Play the "Bird" game up to the highest level you can.

When you have solved the level, Blockly will show you a window saying
`Congratulations! You solved this level with N lines of JavaScript: XXXX Are you
ready for level Z?`

Copy the text you see into your fork of the pm21-dragon repository and replace
the text below.

```
REPLACE THIS TEXT AND SAVE ("COMMIT CHANGES") YOUR VERSION WITH THIS TEXT REPLACED. COMMIT DIRECTLY TO YOUR MAIN BRANCH.
```

# Step 4 - Blockly with Python

We will also play with a version of Blockly for Python at
https://ulli.mingram.net/blockly_python.html

Use the turtle and draw an interesting shape like a triangle or a star. Cut and
paste your Python program in the text below.

```
REPLACE THIS TEXT AND SAVE ("COMMIT CHANGES") YOUR VERSION WITH THIS TEXT REPLACED. COMMIT DIRECTLY TO YOUR MAIN BRANCH.
```
